org.keycloak.saml.common.parsers

## Class AbstractParser

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractParser

- All Implemented Interfaces:
    ParserNamespaceSupport
  Direct Known Subclasses:
    AbstractDescriptorParser, SAMLParser

      public abstract class AbstractParser
      extends Object
      implements ParserNamespaceSupport

  Base class for parsers
  Since:
    Oct 12, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static PicketLinkLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLEventReader` | `createEventReader(InputStream configStream)`
    `protected XMLEventReader` | `filterWhitespaces(XMLEventReader xmlEventReader)`
    `protected XMLInputFactory` | `getXMLInputFactory()` Get the JAXP `XMLInputFactory`
    `Object` | `parse(InputStream configStream)` Parse an InputStream for payload

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.saml.common.parsers.ParserNamespaceSupport

      `parse, supports`

- - ### Field Detail

    - #### logger

          protected static final PicketLinkLogger logger

  - ### Constructor Detail

    - #### AbstractParser

          public AbstractParser()

  - ### Method Detail

    - #### getXMLInputFactory

          protected XMLInputFactory getXMLInputFactory()

      Get the JAXP `XMLInputFactory`
      Returns:

    - #### parse

          public Object parse(InputStream configStream)
                       throws ParsingException

      Parse an InputStream for payload
      Parameters:
        `configStream` -
      Returns:
      Throws:
        `{@link` - IllegalArgumentException}
        `{@link` - IllegalArgumentException} when the configStream is null
        `ParsingException`

    - #### createEventReader

          public XMLEventReader createEventReader(InputStream configStream)
                                           throws ParsingException

      Throws:
        `ParsingException`

    - #### filterWhitespaces

          protected XMLEventReader filterWhitespaces(XMLEventReader xmlEventReader)
                                              throws XMLStreamException

      Throws:
        `XMLStreamException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.